dvgrab (3.5+git20160707.1.e46042e-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:53 +1100

dvgrab (3.5+git20160707.1.e46042e-1build2) noble; urgency=medium

  * No-change rebuild against libdv4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 22:04:04 +0000

dvgrab (3.5+git20160707.1.e46042e-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:40 +0100

dvgrab (3.5+git20160707.1.e46042e-1) unstable; urgency=low

  * New upstream code from github, GCC6 compile (Closes:#811728)
  * Switch to debhelper compat 9
  * Removed patch dvgrab_fix_jpeg_quality, changed by upstream
  * Updated Standards-Version to 3.9.8, no change needed
  * removed outdated debian/watch file

 -- Erik Schanze <eriks@debian.org>  Fri, 08 Jul 2016 22:49:51 +0200

dvgrab (3.5-2) unstable; urgency=low

  * debian/control:
    + changed "Section" to video
    + changed Build-Dep to libjpeg-dev (Closes:#641110)
  * Convert package to format 3.0 (quilt)
  * Add 50_dvgrab_fix_jpeg_quality.dpatch (LP:#859108)
  * Increased Standards-Version to 3.9.2 (no changes)

 -- Erik Schanze <eriks@debian.org>  Mon, 02 Jan 2012 16:29:03 +0100

dvgrab (3.5-1) unstable; urgency=low

  * New upstream release
    + Removed 30_add_gcc44_includes.dpatch, was included Upstream
    + debian/control: increased dependency version libavc1394-dev
  * Increased Standards-Version to 3.8.3:
    + debian/rules: Adapted for parallel build
    + Added README.source pointing to dpatch
    + debian/compat, debian/control: increased dephelper version to 5
  * debian/control: changed "Architecture" to any (Closes: #551397)

 -- Erik Schanze <eriks@debian.org>  Sun,  7 Nov 2009 13:47:21 +0100

dvgrab (3.4-1) unstable; urgency=low

  * New upstream release
  * Increased Standards-Version to 3.8.1, no changes needed

 -- Erik Schanze <eriks@debian.org>  Sun, 19 Apr 2009 20:48:20 +0200

dvgrab (3.2-2) unstable; urgency=low

  * Added 30_add_gcc44_includes:
    + Added header inclusion for GCC 4.4 (Closes: #505587)

 -- Erik Schanze <eriks@debian.org>  Fri, 14 Nov 2008 21:08:27 +0100

dvgrab (3.2-1) unstable; urgency=low

  * New upstream release (Closes: #499776)
  * Removed upstream included patch: 10_cstring_include.dpatch
  * Fixed lintian waring, added 10_remove_warnings_from_manpage.dpatch
  * Updated german manpage

 -- Erik Schanze <eriks@debian.org>  Sun, 21 Sep 2008 19:52:33 +0200

dvgrab (3.1-2) unstable; urgency=low

  * Fix LDFLAGS build parameter (Closes: #476040)

 -- Erik Schanze <eriks@debian.org>  Mon, 14 Apr 2008 21:22:45 +0200

dvgrab (3.1-1) unstable; urgency=low

  * New upstream release (Closes: #457998, #464359)
  * Removed 10_include_cassert.dpatch
  * Added 10_cstring_include.dpatch (Closes: #455188)
  * Increase Standards-Version

 -- Erik Schanze <eriks@debian.org>  Wed, 30 Jan 2008 22:22:45 +0100

dvgrab (3.0-1) unstable; urgency=low

  * New upstream release (Closes: #437869)
  * Updated german translation of manpage
  * Removed 30_fix_tags_in_manpage.dpatch
  * debian/rules: added/fixed  handling of DEB_BUILD_OPTIONS

 -- Erik Schanze <eriks@debian.org>  Tue, 17 Aug 2007 23:43:13 +0200

dvgrab (2.1-2) unstable; urgency=low

  * tighten build-dependencies on libraw1394-dev and libdv4-dev. 
    Thanks to Jonas Smedegaard for the patch (Closes: #334707)
  * restore old Architecture line and add "armel" and "armeb" (for Bug #408775)
  * Have new runtime depending on libquicktime1 since 2.1-1 (Closes: #434409)

 -- Erik Schanze <eriks@debian.org>  Mon, 23 Jul 2007 20:54:34 +0200

dvgrab (2.1-1) experimental; urgency=low

  * New upstream release, Closes: #407727
  * Build with new libquicktime 1.0.0
  * remove patches already merged by upstream
  * Changed Architecture: to any, Closes: #408775

 -- Erik Schanze <eriks@debian.org>  Thu, 24 May 2007 20:49:34 +0200

dvgrab (1.8-4) unstable; urgency=low

  * Changed maintainers email address
  * Updated FSF address in debian/copyright
  * Updated debian/watch file version
  * Updated project homepage
  * fix libquicktimes include path, added dependency to pkg-config
    Closes: #391562
  * bumped libquicktime dependency to >=2:0.9.7
  * Increased Standards-Version to 3.7.2, no changes needed

 -- Erik Schanze <eriks@debian.org>  Sun,  8 Oct 2006 20:07:04 +0200

dvgrab (1.8-3) unstable; urgency=low

  * Added patches:
    + [15_quicktime_includes] Fix path changes in libquicktime-dev
      0.9.7 from /usr/include/quicktime to /usr/include/lqt
    + [16_quicktime_includes_fixup] Propagate changes from above patch
      to autogenerated file.
  * Added version >=1:0.9.7 to libquicktime-dev depends and use lqt-config in
    debian/rules, (Thanks to Daniel Kobras) Closes: #326010
  * Rebuild with libquicktime0, Closes: #334494
  * debian/control: Removed old depends alternatives. 

 -- Erik Schanze <schanzi_@gmx.de>  Tue,  2 Nov 2005 12:10:00 +0100

dvgrab (1.8-2) unstable; urgency=low

  * Added patch [20_patch_smiltime_cc] to fix base class 
    constuctor call for g++-4.0, Closes: #318910, and to add
    missed "return" in Time::serialise()
  * Added patch [40_fix_throw_error_messages] to fix not working
    throw with error message output
  * Added "-Wall" to compile options to get notice of problematic code
  * Changed german umlauts to groff sequences, thanks to lintian 
  * Increased Standards-Version to 3.6.2, no changes needed

 -- Erik Schanze <schanzi_@gmx.de>  Tue, 29 Jul 2005 23:34:00 +0200

dvgrab (1.8-1) unstable; urgency=low

  * New upstream release
  * Added ppc64 to architectures, Closes: #301048
  * Added lintian-overrides, lintian doesn't know ppc64 (yet)
  * Removed patch included in upstream:
    + [20_endian_types]
  * Added "--jpeg-overwrite" and a new example to manpage

 -- Erik Schanze <schanzi_@gmx.de>  Thu, 11 Jun 2005 21:00:17 +0200

dvgrab (1.7-1) unstable; urgency=low

  * New upstream release
  * Upstream removed old debian/ subdirectory, so we get rid of repacking the
    sources for our package
  * Updated German manpage according upstream fixes on English one
  * Removed patches included in upstream:
    + [10_no_dv1394h_warning]
    + [11_no_dv1394h_warning_fixup]
  * Description line now begins lowercase (fixes lintian warning)
  * Added project homepage to description

 -- Erik Schanze <schanzi_@gmx.de>  Wed, 21 Jan 2005 22:56:31 +0100

dvgrab (1.6deb-1) unstable; urgency=low

  * New upstream release
  * New maintainer, Closes: #254173
  * Added amd64 support, thanks to Andreas Jochens, Closes: #251964
  * Updated download URL in debian/copyright
  * Added debian/watch file, but it works not perfectly (different package name)
  * Added German translation of man page dvgrab.1
  * Removed patches:
    + [10_am_maintainer_mode]
    + [11_am_maintainer_mode_fixup]
      because they are already included in upstream
  * Added patches:
    + [10_no_dv1394h_warning]
      Disable autoconf checking for lib/dv1394.h.
    + [11_no_dv1394h_warning_fixup]
      Propagate changes from above patch to autogenerated files.
    + [30_fix_tags_in_manpage]
      Some bugfixes in man page dvgrab.1.
  * Changed rules file to use distclean instead of clean to have no
    configure.diff in .diff.gz.

 -- Erik Schanze <schanzi_@gmx.de>  Mon,  2 Aug 2004 18:36:55 +0200

dvgrab (1.5deb-2) unstable; urgency=low

  * Bump preferred libdv build dependency to libdv4-dev. Closes: #246793

 -- Daniel Kobras <kobras@debian.org>  Sun,  2 May 2004 14:58:52 +0200

dvgrab (1.5deb-1) unstable; urgency=low

  * New upstream version. Closes: #228473
    + Fixes several bugs with regard to large file creation.
      Closes: #217324
  * Applied patches:
    + [10_include_cassert] Rediff from kino package.
      Include cassert header as required by g++-3.3.
    + [10_am_maintainer_mode] New.
      Set AM_MAINTAINER_MODE in configure.in.
    + [11_am_maintainer_mode_fixup] New.
      Propagate changes from above patch to autogenerated files.
    + [20_endian_types] Rediff from kino package.
      Endianness cleanups.
  * debian/control: Build depend on dpatch and libavc1394-dev.
  * debian/control: Bump standards version.
  * debian/rules: Convert to dpatch.
  * debian/rules: Improve config.guess/config.sub logic.

 -- Daniel Kobras <kobras@debian.org>  Wed, 21 Jan 2004 00:18:55 +0100

dvgrab (1.2.0deb-4) unstable; urgency=low

  * avi.cc, filehandler.cc, riff.cc: g++-3.3 wants us to include <cassert>.
    Patch thanks to Kevin Kreamer <kkreamer@etherhogz.org>. Closes: #197011

 -- Daniel Kobras <kobras@debian.org>  Sat, 14 Jun 2003 13:05:55 +0200

dvgrab (1.2.0deb-3) unstable; urgency=low

  * dvgrab.1, dvgrab.cc: Learn to count. Limit is 1008MB, rather than 108MB.
  * endian_types.h, avi.h, avi.cc, riff.cc: More endianness cleanups.

 -- Daniel Kobras <kobras@debian.org>  Tue, 15 Apr 2003 20:39:19 +0200

dvgrab (1.2.0deb-2) unstable; urgency=low

  * avi.h, avi.cc, filehandler.cc: Error checking in AVI WriteFrame() method.
  * dvgrab.cc: Automatically turn on OpenDML mode when max. file size requires
    it. Closes: #189001
  * dvgrab.1: Document the above.
  * debian/docs: Distribute upstream NEWS. 

 -- Daniel Kobras <kobras@debian.org>  Mon, 14 Apr 2003 21:47:33 +0200

dvgrab (1.2.0deb-1) unstable; urgency=low

  * New upstream version 1.2. Removed outdated debian subdirectory from
    upstream tarball and renamed to 1.2.0deb. Closes: #186194
  * debian/copyright: Updated copyright entry. Mentioned removal of debian/
    from original tarball.
  * debian/control: Build depend on libquicktime, libjpeg and libdv. Bump
    standards version. Version debhelper build dependency. Mention new output
    formats in long description.
  * Makefile.am, Makefile.in: New header endian_types.h.
  * endian_types.h: Wrapper classes to transparently handle endianness
    conversions.
  * riff.h, riff.cc: Fix endianness issues in AVI output. Again.
  * avi.h: No padding in on-disk structures.
  * debian/rules: Bump debhelper compat level to 4. Support noopt build
    option. Proper invocation of configure.

 -- Daniel Kobras <kobras@debian.org>  Sat, 12 Apr 2003 16:54:54 +0200

dvgrab (1.01-2) unstable; urgency=low

  * Makefile.am, Makefile.in, snafu.h: New header file with endianness and
    word size helpers.
  * avi.cc, riff.cc, riff.h: Fix endianness issues in AVI output. (Kudos to
    Ben Collins for helping to fix this issue.) Closes: #147849
  * ieee1394io.cc: Added notes about testmode being tied to native
    endianness.
  * debian/control: Added s390 back to arch list. (Request by Gerhard Tonn.)
  * debian/rules: Do not clobber upstream's config.guess/config.sub.
  * debian/rules: Do not rebuild man page from SGML. Upstream hacks the
    troff source.
  * debian/control: Remove build-dep on docbook-to-man.
  * debian/control: Update standards version.

 -- Daniel Kobras <kobras@debian.org>  Sun, 26 May 2002 00:52:16 +0200

dvgrab (1.01-1) unstable; urgency=low

  * New upstream version. Closes: #114887
  * Removed obsolete calls to automake/autoconf, adjusted build depends.

 -- Daniel Kobras <kobras@debian.org>  Tue,  9 Oct 2001 14:12:18 +0200

dvgrab (1.0-2) unstable; urgency=low

  * Fix build issues with g++ 3.0. Closes: #104871
  * Tweak Makefiles to yield sane CXXFLAGS.
  * Exclude m68k and s/390 from target architectures.

 -- Daniel Kobras <kobras@debian.org>  Mon, 16 Jul 2001 14:06:14 +0200

dvgrab (1.0-1) unstable; urgency=low

  * New upstream version. Closes: #98386
  * Uses libraw API 0.9. Adjust versioned build dependency.
  * Remove useless menu entry.

 -- Daniel Kobras <kobras@debian.org>  Thu, 31 May 2001 10:54:17 +0200

dvgrab (0.99-1) unstable; urgency=low

  * New upstream version.
  * Added missing build dependency on docbook-to-man.
  * Removed permission hackery from rules as upstream merged automake
    support. Proper automake handling. Closes: #90811
  * Install docs and manpages via debhelper rather than make install.
  * Removed vc from needs line in menu entry.

 -- Daniel Kobras <kobras@debian.org>  Fri, 23 Mar 2001 15:47:03 +0100

dvgrab (0.89-1) unstable; urgency=low

  * Initial Debian Release. Closes: #79518
  * Added man page, heavily based on official online docs.
  * Converted build environment to automake/autoconf.

 -- Daniel Kobras <kobras@debian.org>  Wed, 13 Dec 2000 11:34:24 +0100

